Main Page Namespaces Book

# Pango::AttrColor Class Reference

Inheritance diagram for Pango::AttrColor:

[legend]

List of all members.

## Detailed Description

A Pango::AttrColor is used to represent an attribute which is a color.

## Public Member Functions

| AttrColor (PangoAttrColor* castitem, bool take_copy=true)
| AttrColor (const AttrColor& src)
Color | get_color () const
| Gets the color which is the value of the attribute.
const PangoAttrColor* | gobj () const
| Provides access to the underlying C GObject.
PangoAttrColor* | gobj ()
| Provides access to the underlying C GObject.
AttrColor& | operator= (const AttrColor& src)
void | set_color (const Color& value)
| Sets the color which is the value of the attribute.

## Protected Member Functions

| AttrColor ()

## Related Functions

(Note that these are not member functions.)
Pango::AttrColor | wrap (PangoAttrColor* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrColor::AttrColor | ( |  | ) | `[protected]`

Pango::AttrColor::AttrColor | ( | const AttrColor& | src | ) |

Pango::AttrColor::AttrColor | ( | PangoAttrColor * | castitem,
|  | bool | take_copy = `true` |
| ) |  |  | `[explicit]`

## Member Function Documentation

Color Pango::AttrColor::get_color | ( |  | ) | const

Gets the color which is the value of the attribute.

Returns:
  The color value of the attribute.

const PangoAttrColor* Pango::AttrColor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

PangoAttrColor* Pango::AttrColor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

AttrColor& Pango::AttrColor::operator= | ( | const AttrColor& | src | ) |

void Pango::AttrColor::set_color | ( | const Color& | value | ) |

Sets the color which is the value of the attribute.

Parameters:

  | value | The new color value for the attribute.

## Friends And Related Function Documentation

Pango::AttrColor wrap | ( | PangoAttrColor * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

The documentation for this class was generated from the following file:

- attributes.h